Get CONTRIBUTION by id
Retrieves a CONTRIBUTION identified by contribution_uid.
Path Parameters
- Type: stringFormat: uuid
contribution _uid requiredThe CONTRIBUTION uid.
Responses
- application/json
404 404 Not Foundis returned when a CONTRIBUTION withcontribution_uiddoes not exist.
Request Example for get/demographic/contribution/{contribution_uid}
curl https://cataniamc.prod.cadasto.com/v1/demographic/contribution/123e4567-e89b-12d3-a456-426614174000
{
"uid": {
"value": "0826851c-c4c2-4d61-92b9-410fb8275ff0"
},
"versions": [
{
"id": {
"_type": "OBJECT_VERSION_ID",
"value": "fb458d9c-1323-42bc-b7f8-787f3660a0b5::cataniamc.prod.cadasto.com::1"
},
"namespace": "local",
"type": "COMPOSITION"
},
{
"id": {
"_type": "OBJECT_VERSION_ID",
"value": "abcdefgh-1323-42bc-b7f8-787f3660a0ba::cataniamc.prod.cadasto.com::1"
},
"namespace": "local",
"type": "FOLDER"
}
],
"audit": {
"system_id": "9624982A-9F42-41A5-9318-AE13D5F5031F",
"committer": {
"_type": "PARTY_IDENTIFIED",
"name": "A user name"
},
"time_committed": {
"value": "2017-08-15T10:37:15.422+02:00"
},
"change_type": {
"value": "creation",
"defining_code": {
"terminology_id": {
"value": "openehr"
},
"code_string": "249"
}
},
"description": {
"value": "Description text"
}
}
}